rem
rem This Batch file was written by Mats Knuts, HOST of the Swedish Fido
rem Net Region 20 Net 501.  /Thank you Mats  Regards/Joaquim!
rem 
rem +----------------------------------------------------------------+
rem !  Mats Knuts - South Swedish Fido 501/4607                      !
rem +----------------------------------------------------------------+
rem - If you have any questions about this batch file or FrontDoor
rem - then send a FidoMail to Mats Knuts 501/4607 or
rem - Joaquim Homrighausen 501/4609. The latest version of FrontDoor
rem - and other great Swedish Fido utilities such as FIDOINTR and MAILMAN
rem - are always available at our Fido's.
rem -
rem - Batchfile to start fido from directory C:\FIDO
rem - This batchfile demonstrate the use of FrontDoor
rem -
rem - To USE this batch file you need the followinf Fido Utilities
rem - they should all be included in Joaquim's Front Door Package.
rem -
rem - FrontDoor   Answers the phone detect baudrate and start Fido
rem - Fidoexec    Terminates Fido if user hangup before logon
rem - Baud        Terminates with errorlevel = baudrate/10 (from lastuser.bbs)
rem -

ECHO OFF
watchdg1 off
ctty con
break off

:init
rem
rem First time, let FrontDoor initialize modem
rem
fd/1/B300
goto first:

:loop
rem
rem Normal entry point after user hangup, don't init modem
rem
fd/1/B300/N

:first
if errorlevel 255 goto event:
if errorlevel 254 goto b300:
if errorlevel 253 goto b1200:
if errorlevel 252 goto b1200:
if errorlevel 251 goto b2400:
if errorlevel 250 boot
if errorlevel 249 boot
if errorlevel 248 goto exit:
if errorlevel 247 goto nobaud:
if errorlevel 246 goto event:

:event
rem
rem start a normal Fido and let it perform the event, make shure
rem that you have an external event after each mail event to help
rem fido find his way back to FrontDoor
rem
fido_ibm /p 15/s 90/l 30/f 120/d 150/k /y /1 4/a 5/w 1/j 1/i 128/v 30/e
goto test1

:afterout
watchdg1 off

rem
rem After outside we use BAUD.EXE to get baudrate from Lastuser.bbs
rem
rem (Yep. And it's a great program! /Joaquim)
baud
if errorlevel 240 goto b2400
if errorlevel 120 goto b1200
if errorlevel  30 goto b300
if errorlevel   0 boot

rem -
rem Different CONNECT speeds
rem
rem Here we have one FIDOEXEC for every speed and limit.
rem

:b2400
fidoexec 2400/n /p 15/s 90/l 30/f 120/d 150/k /y /1 4/a 5/w 1/j 1/i 128/v 30/e
goto test1

:b1200
fidoexec 1200/n /p 15/s 90/l 30/f 120/d 150/k /y /1 4/a 5/w 1/j 1/i 128/v 30/e
goto test1

:b300
fidoexec 300/n /p 15/s 90/l 30/f 120/d 150/k /y /1 4/a 5/w 1/j 1/i 128/v 30/e
goto test1

:nobaud
fidoexec /p 15/s 90/l 30/f 120/d 150/k /y /1 4/a 5/w 1/j 1/i 128/v 30/e
goto test1

:test1
rem
rem Put your normal test here, note that FIDOEXEC simulates CTRL-C
rem to terminate Fido, so errorlevel 1 should loop back to FrontDoor
rem You also need xx/e to make Fido terminate after each caller
rem
if errorlevel 30 goto loop:
rem
rem Yor normal test
rem
if errorlevel 5 goto maint:
if errorlevel 4 goto outside:
if errorlevel 3 goto fatal:
if errorlevel 2 goto fatal:
if errorlevel 1 goto loop:
goto loop
rem ----------------------------------------------------------------
rem ------------------------ OUTSIDE -------------------------------
rem                      ERRORLEVEL = 4
rem ----------------------------------------------------------------
:outside
rem
rem Do what you want to do here...
rem Such as eat a candy bar or something!
rem But just don't try to sell me one of those Robotic Courriers...
rem 
rem (Joaquim wrote this little note above, so don't give Mats any Crap!)
rem
:endout
ctty con
c:
cd\fido
goto afterout:
rem
rem ------------------------ EXIT TO DOS ( sysop 0 ) ----------------
rem                          ERRORLEVEL = 5
:maint
watchdg1
ctty com1
command
ctty con
goto endout:
rem ------------------------------------------------------------------
:fatal
rem ------------------------ EXIT TO DOS -----------------------------
:exit
